package nats

import (
	"Panel_development/configs"
	"Panel_development/simple_zap"
	"context"
	"fmt"
	"github.com/nats-io/nats.go"
)

var Nats *nats.Conn

func SetupNats() {
	var err error
	fmt.Println(configs.Config.GetString("nats.url"))
	Nats, err = nats.Connect(configs.Config.GetString("nats.NatsServer_Url"))
	if err != nil {
		simple_zap.WithCtx(context.Background()).Sugar().Warn(err, "nats 连接失败")
		panic(err)
	}
}
